%%% File    : bots_search.erl
%%% Author  : Luke Gorrie
%%% Purpose : Test map generator

-module(bots_test).
-compile(export_all).

make_map(W, H, Type) ->
    bots_db:new_map(W, H),
    apply(?MODULE, Type, [W,H]),
    save_map(lists:flatten(io_lib:format("~p-~px~p", [Type,W,H]))).

save_map(Name) ->
    bots_db:end_map(),
    {ok, Fd} = file:open(Name, [write]),
    bots_db:print_map(Fd),
    file:close(Fd).

bad(W, H) ->
    draw_horiz($#, 1, H-1, W-1),
    draw_vert($#, W-1, 1, H-2),
    plot($@, 1, H).

draw_horiz(Type, X1, Y, X2) when X1 > X2 ->
    ok;
draw_horiz(Type, X1, Y, X2) ->
    plot(Type, X1, Y),
    draw_horiz(Type, X1+1, Y, X2).

draw_vert(Type, X, Y1, Y2) when Y1 > Y2 ->
    ok;
draw_vert(Type, X, Y1, Y2) ->
    plot(Type, X, Y1),
    draw_vert(Type, X, Y1+1, Y2).

plot(Type, X, Y) ->
    bots_db:set_type(X, Y, Type).

